/*
Author: Elizabeth Medina
Date: 3-10-26
Filename: styles.css
*/ 

/* CSS Reset */

body, header, nav, main, h1, h3, aside, figure, figcaption {
margin: 0;
padding: 0;
border: 0;
}

/* style rules for body and images */

body {
	background-color: #add8e6;
	text-align: center;
	font-size: 1.25em;
}

img { 
	max-width: 100%;
	display-image: block;
}

.center-image {
	display: block;
	margin-left: auto;
	margin-right: auto;
}

/* Style rules for header area */

h1 {
	text-align: center;
	padding: 1%;
	font-size: 1.75em;
	font-family: geneva, Arial, sans-serif;
	font-weight: bold;
}

h3 {
	text-align: center;
	font-size: 1.25em;
	font-family: geneva, Arial, sans-serif;
	font-weight: bold;
}

/* Style rules for navigation area */

nav ul {
	text-decoration: none;
	list-style-type: block;
	text-align: center;
}

nav li {
	text-decoration: none;
	display: inline-block;
	font-size: 1.25em;
	font-family: geneva, Arial, sans-serif;
	font-weight: bold;
	border: solid 1px #ffffff;
}

nav li a:hover {
	text-decoration: none;
	display: inline-block; 
	padding: 0.5em;
}

nav p { 
	font-size: 1.25em;
}

/* Style rules for main content */

main {
	padding: 2%;
	border: 2%;
}

main p {
	text-align: center;
	font-family: geneva, Arial, sans-serif;
	font-size: 1em;
}

aside {
	text-align: center;
	font-size: 1em;
}

figure {
	border: 2px solid #ffffff;
	box shadow: 3px #000000;
	max-width: 250px;
}

figcaption {
	padding: 2%;
}

.grid {
	display: grid;
	grid-template-columns: auto auto auto;
	grid-gap: 10px;
}

form {
	width: auto;
}

footer p {
	text-align: center;
	font-family: geneva, Arial, sans-serif;
	font-size: 0.75em;
}

footer a {
	text-decoration: none;
	color: #ffffff;
	font-size: 0.75em;
}